package com.ruoyi.ibs.list.domain;



import com.ruoyi.common.annotation.Excel;
import com.ruoyi.ibs.dashboard.domain.vo.CommonRespVO;
import com.ruoyi.ibs.grid.domain.vo.AddressDetail;
import io.swagger.annotations.ApiModelProperty;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class CustInfoMerchantVo {
    private CustInfoMerchant custInfoMerchant;
    private List<CorporateShareholder> corporateShareholders;
    private Map<String, Map<String,String>> signedProducts;

    private String gridUserName;
    //归属网格信息
    private String gridName;
    //绩效客户经理
    private String cmpmUserName;
    List<CmpmUserList> cmpmUserLists;


    private String radarCustFlag;
    //零售部行政网格信息
    private String XzLsGridUserName;
    private String XzLsGridName;
    //公司部行政网格信息
    private String XzGsGridUserName;
    private String XzGsGridName;
    //运管部行政网格信息
    private String XzYgGridUserName;
    private String XzYgGridName;

    private String community;

    @ApiModelProperty(value = "标签枚举 String：String || name： flag")
    private List<TreeNode> tabEnmuVos;

    @ApiModelProperty(value = "手动打标")
    private List<TreeNode> tagManual;

    @ApiModelProperty(value = "青田特色标签列表")
    private List<Map<String, Object>> specialTagList;

    public List<Map<String, Object>> getSpecialTagList() {
        return specialTagList;
    }

    public void setSpecialTagList(List<Map<String, Object>> specialTagList) {
        this.specialTagList = specialTagList;
    }

    public List<TreeNode> getTagManual() {
        return tagManual;
    }

    public void setTagManual(List<TreeNode> tagManual) {
        this.tagManual = tagManual;
    }
    private List<AddressDetail> addressDetails;

    public List<CmpmUserList> getCmpmUserLists() {
        return cmpmUserLists;
    }

    public void setCmpmUserLists(List<CmpmUserList> cmpmUserLists) {
        this.cmpmUserLists = cmpmUserLists;
    }

    public String getCmpmUserName() {
        return cmpmUserName!=null?cmpmUserName:"";
    }

    public void setCmpmUserName(String cmpmUserName) {
        this.cmpmUserName = cmpmUserName;
    }

    public CustInfoMerchant getCustInfoMerchant() {
        return custInfoMerchant;
    }

    public void setCustInfoMerchant(CustInfoMerchant custInfoMerchant) {
        this.custInfoMerchant = custInfoMerchant;
    }

    public List<CorporateShareholder> getCorporateShareholders() {
        return corporateShareholders;
    }

    public void setCorporateShareholders(List<CorporateShareholder> corporateShareholders) {
        this.corporateShareholders = corporateShareholders;
    }

    public Map<String, Map<String, String>> getSignedProducts() {
        return signedProducts;
    }

    public void setSignedProducts(Map<String, Map<String, String>> signedProducts) {
        this.signedProducts = signedProducts;
    }

    public String getGridUserName() {
        return gridUserName!=null?gridUserName:"";
    }

    public void setGridUserName(String gridUserName) {
        this.gridUserName = gridUserName;
    }

    public String getGridName() {
        return gridName!=null?gridName:"";
    }

    public void setGridName(String gridName) {
        this.gridName = gridName;
    }

    public String getXzLsGridUserName() {
        return XzLsGridUserName;
    }

    public void setXzLsGridUserName(String xzLsGridUserName) {
        XzLsGridUserName = xzLsGridUserName;
    }

    public String getXzLsGridName() {
        return XzLsGridName;
    }

    public void setXzLsGridName(String xzLsGridName) {
        XzLsGridName = xzLsGridName;
    }

    public String getXzGsGridUserName() {
        return XzGsGridUserName;
    }

    public void setXzGsGridUserName(String xzGsGridUserName) {
        XzGsGridUserName = xzGsGridUserName;
    }

    public String getXzGsGridName() {
        return XzGsGridName;
    }

    public void setXzGsGridName(String xzGsGridName) {
        XzGsGridName = xzGsGridName;
    }

    public String getXzYgGridUserName() {
        return XzYgGridUserName;
    }

    public void setXzYgGridUserName(String xzYgGridUserName) {
        XzYgGridUserName = xzYgGridUserName;
    }

    public String getXzYgGridName() {
        return XzYgGridName;
    }

    public void setXzYgGridName(String xzYgGridName) {
        XzYgGridName = xzYgGridName;
    }

    public String getCommunity() {
        return community;
    }

    public void setCommunity(String community) {
        this.community = community;
    }

    public List<AddressDetail> getAddressDetails() {
        return addressDetails;
    }

    public void setAddressDetails(List<AddressDetail> addressDetails) {
        this.addressDetails = addressDetails;
    }

    public String getRadarCustFlag() {
        return radarCustFlag;
    }

    public void setRadarCustFlag(String radarCustFlag) {
        this.radarCustFlag = radarCustFlag;
    }


    public List<TreeNode> getTabEnmuVos() {
        return tabEnmuVos;
    }

    public void setTabEnmuVos(List<TreeNode> tabEnmuVos) {
        this.tabEnmuVos = tabEnmuVos;
    }
}
